Skip to main content
`Ctrl`+`K`

# PetscViewerVUGetVecSeen

Gets the flag which indicates whether we have viewed a vector. This is usually called internally rather than by a user.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerVUGetVecSeen(PetscViewer viewer, PetscBool *vecSeen)

Not Collective

## Input Parameter

- viewer - The `PETSCVIEWERVU` `PetscViewer`

## Output Parameter

- vecSeen - The flag which indicates whether we have viewed a vector

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERVU`

## Level

advanced

## Location

src/sys/classes/viewer/impls/vu/petscvu.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages